[package]
name = "stake_pool"
version = "0.1.0"
authors = ["[your_name] <[your_email]>"]
edition = "2021"

[dependencies]
ink = { version = "4.3", default-features = false, features = ["call-runtime"] }

scale = { package = "parity-scale-codec", version = "3", default-features = false, features = ["derive"] }
scale-info = { version = "2.6", default-features = false, features = ["derive"], optional = true }
xcm = { git = "https://github.com/paritytech/polkadot", default-features = false, branch = "release-v0.9.43" }
sp-runtime = { version = "30.0.1", default-features = false }
sp-io = { version = "29.0.0", default-features = false, features = ["disable_panic_handler", "disable_oom", "disable_allocator"] }

[dev-dependencies]
ink_e2e = "4.2.0"
sp-core = { git = "https://github.com/paritytech/substrate", default-features = false, branch = "polkadot-v0.9.43" }

[lib]
path = "lib.rs"

[features]
default = ["std"]
std = [
    "ink/std",
    "scale/std",
    "scale-info/std",
    "xcm/std",
    "sp-runtime/std",
    "sp-io/std",
]
ink-as-dependency = []
e2e-tests = []
